#include <bits/stdc++.h>
using namespace std;
int main()
{
    

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n,c='A';
    int b=0;
    cin>>n;
    string s;
    cin>>s;
    if(n<=26){
        for(int i=0;i<n;i++){
            if(s[i]<s[i-1]) b = 1;
        }
            if(b==1) cout<<1;
            else cout<<0;
            
        
        }
        else if(n<=27){
            for(int i=0;i<n;i++){
         if(s[i]==c) {
         c++;   
         }
         if(s[i]==s[i-1]){
                b++; 
         }}
         if(c=='Z' && b==0) cout<<1;
         else if(c=='Z' && b==1)cout<<2;
         else cout<<0;
        }   
        
        
}